Skip to main content

There are two primary ways to create priority strategy campaigns, each of which provide different flows and methods for configuring the campaign.

  • Manual targeting campaigns offer sellers complete control over campaign setup and ongoing optimization.

  • Smart targeting campaigns offer easy setup and automatically update to optimize campaign settings.

The following diagram illustrates the creation flow for priority campaigns using the Cost Per Click (CPC) funding model:

Note: Once your campaign has launched, you cannot switch the targeting type from smart targeting to manual targeting, or vice versa.

Manual targeting campaigns

Manual targeting campaigns give sellers control over campaign setup for ads that appear across eBay, allowing them to manually create and manage all aspects of their campaign. With manual targeting, sellers sort listings into ad groups, allowing them to target buyers with focused keywords and improve the visibility of their listings.

Manual targeting campaigns use key-based campaign criterion. Key-based campaigns use ID values and ad groups to select the listings to include in a campaign. You can add listings to a campaign one at a time or in bulk using:

  • Listing ID values, which are created by the Trading API or Inventory API when you list an item. Use the createAdByListingId and/or bulkCreateAdsByListingId methods to add listings to a campaign using these values.

  • Ad groups, which are created to gather listings and specify keywords that are used to search for and view the listings that you want to promote. Ad groups can be created using the createAdGroup method.

Tip: See the Campaign recommendations and suggestions section for details about how to retrieve recommendations on listings, keyword bids, keywords, and other useful data that can be helpful when configuring your Promoted Listings campaign.

Campaign setup

Manual targeting gives sellers complete control over the creation of their campaign through the createCampaign method. Sellers are able to manually add listings to ad groups, create keywords, and set keyword bids to help their listings reach their intended audience.

The following diagram illustrates the creation flow for manual targeting campaigns using manual setup:

When creating a manual targeting campaign, you will complete the following steps to create and configure the campaign:

  1. Create the campaign

  2. Create an ad group for the campaign

  3. Create ads for the camping using listing IDs

  4. Create keywords for the campaign

  5. Create negative keywords for the campaign

Create the campaign

Submit a call to the createCampaign method and configure the following required fields:

  • marketplaceId – The eBay marketplace for which the campaign will run.

  • campaignName – The seller-defined name given to the campaign.

  • fundingStrategy – The funding strategies used for the campaign. The fundingStrategy defines the mechanism used to calculate the Promoted Listing fee (see the Promoted Listings overview for details).

    • fundingModel - The funding model for the campaign. For a manual targeting campaign, this enum must be set to COST_PER_CLICK.

    • biddingStrategy - [optional] Determines how keyword bids are managed for the duration of the campaign. A DYNAMIC bidding strategy automatically updates keyword bids, and a FIXED bidding strategy means keyword bids will be managed manually.

  • budget – The allocated daily budget amount for a campaign.

  • startDate – The day on which the campaign will begin.

Here is the example request payload that shows how to create a manual targeting campaign: 

{
  "marketplaceId": "EBAY_US",
  "campaignName": "W***********n",
  "fundingStrategy": {
    "fundingModel": "COST_PER_CLICK",
    "biddingStrategy": "DYNAMIC"
  },
  "budget": {
    "daily": { 
      "amount": { 
        "currency": "USD",
        "value": "100.00"
      }
    } 
  },
  "startDate": "2019-06-30T19:00:00Z",
  "endDate": "2019-07-30T19:00:00Z"
}

When you create a campaign, the URI to the newly created campaign is returned in the Location response header. This response includes the campaign ID value that is used to create ads and add them to the Promoted Listings campaign (see the sections below for details).

Create an ad group for the campaign

After creating a manual targeting campaign, you must create an ad group for listings that you want included in the campaign. Ad groups are used to gather listings and keywords.

To create an ad group for a campaign, specify the defaultBid for the ad group in the payload of the createAdGroup request, and specify the campaign to which the ad group should be associated using the campaign_id path parameter. The default bid amount applies to all of the keywords in an ad group that do not have individual bids specified (see the Create keywords section for details).

Tip: You can retrieve the campaign IDs for a specified seller using the getCampaigns method.

POST https://api.ebay.com/sell/marketing/v1/ad_campaign/{campaign_id}/ad_group
{ /* CreateAdGroupRequest */
  "defaultBid" :
    { /*Amount*/
      "currency" : "CurrencyCodeEnum : [AED,AFN,ALL...]",
      "value" : "string"
    },
  "name" : "string"
}

When you create an ad group, the URI to the newly created ad group is returned in the Location response header. This response includes the ad group ID value that is used to create ads and add them to the Promoted Listings campaign (see the sections below for details).

Each ad group can be associated with only one Promoted Listings campaign. Listings can be included across ad groups and can be in multiple active campaigns.

Create ads for the campaign using listing IDs

After creating a campaign, you can create ads for the listings you want included in the campaign by calling either the createAdByListingId method (to add individual listing IDs) or the bulkCreateAdsByListingId method (to specify up to 500 listings per call).

Specify the campaign to which the listings should be added using the campaign_id path parameter. You must also specify the adGroupId at this time.

Tip: You can retrieve the campaign IDs for a specified seller using the getCampaigns method.

POST https://api.ebay.com/sell/marketing/v1/ad_campaign/{campaign_Id}/bulk_create_ads_by_listing_id
{
  "requests": [
    {
      "adGroupId": "{adGroupId}",
      "listingId": "{listingId}"
    },
    {
      "adGroupId": "{adGroupId}",
      "listingId": "{listingId}"
    }
  ]	
}

Create keywords for the campaign

After creating an ad group for the campaign, you can create keywords that you want included in the ad group by calling the createKeyword method (to create one keyword) or the bulkCreateKeyword method (to create multiple keywords) to add the keyword(s) to the ad group.

Specify the campaign and ad group to which the keyword(s) should be added using the campaign_id path parameter and the adGroupId field.

Optionally, sellers can specify the bid amount for each keyword at this time (the maximum amount they are willing to pay per click), as well as whether to employ a FIXED or DYNAMIC bidding strategy when specifying bid amounts.

  • When using a FIXED bidding strategy, sellers manually assign and adjust keyword bids for the campaign.
  • When using a DYNAMIC bidding strategy, eBay manages the campaign's keyword bids and automatically updates them daily to the suggested bid.

The amount you will be charged for each click is based on a second price auction. If you win the auction, your ad may appear in an eligible ad slot, and you will be charged an amount between the next highest bid and your bid amount. You will not be charged more than your bid amount. If no bid amount is specified, the defaultBid amount defined for the ad group will apply.

Consider the keyword text carefully. When users search for items using the keywords that you have created, your Promoted Listings campaign ads will be considered for display.

Keywords are currently targeted using either exact match (with variants), phrase match, or broad match.

POST https://api.ebay.com/sell/marketing/v1/ad_campaign/{campaign_id}/keyword
{ /* CreateKeywordRequest 
  "adGroupId" : "string",				
  "bid" :
    { /*Amount*/
      "currency" : "CurrencyCodeEnum : [AED,AFN,ALL...]",
      "value" : "string"
    },
  "keywordText" : "string",
  "matchType" : "MatchTypeEnum : [EXACT, PHRASE, BROAD]"
}
matchType targets

As mentioned above for keywords, matchType will support exact, phrase, and broad matching:

  • EXACT: Exact match definition and examples can be found here.
  • PHRASE: Phrase match definition and examples can be found here.
  • BROAD: Broad match definition and examples can be found here.

Request example

{
  "keywordText": "Sony F1.8 85mm",
  "matchType": "BROAD",
  "adGroupId": "5000395516",
  "bid": {
    "value": "0.66",
    "currency": "USD"
  }
} 

Create negative keywords for the campaign

After creating an ad group for the campaign, you can create negative keywords that you want included in the ad group by calling the createNegativeKeyword method (to create one negative keyword) or the bulkCreateNegativeKeyword method (to create multiple negative keywords) to add the negative keyword(s) to the ad group.

Negative keywords are used to specify the search criterion that should not trigger listings in an ad group, which helps prevent your campaigns from surfacing unnecessarily when buyers run keyword searches that do not apply to your listings.

Specify the campaign and ad group to which the negative keyword(s) should be added using the campaignId and the adGroupId request fields, and input the text for the negative keyword using the negativeKeywordText field.

Note: Broad and phrase matching of negative keywords is not currently supported. Negative keywords are currently only supported for exact match.

POST https://api.ebay.com/sell/marketing/v1/negative_keyword
{ /* CreateNegativeKeywordRequest */
  "adGroupId": "string",
  "campaignId": "string",
  "negativeKeywordMatchType": "NegativeKeywordMatchTypeEnum: [EXACT]",
  "negativeKeywordText": "string"
}

Campaign recommendations and suggestions

The eBay APIs allow you to retrieve recommendations and suggestions that you can use to configure your campaigns, such as listings, ad rates, ad groups, and keywords, and it outlines the system limitations for creating campaigns: 

  • The suggestItems method allows sellers to retrieve ideas for listings that can be targeted for Promoted Listings campaigns. The recommendations provided by this method indicate listings that have a high chance of favorable performance based on historical data.
  • The suggestKeywords method allows sellers to retrieve a list of keyword ideas to be targeted for Promoted Listings campaigns.
  • The suggestBids method allows sellers to retrieve the suggested bids for input keywords and match type.

Smart targeting campaigns

Smart targeting campaigns simplify the campaign creation process for sellers, making it easier for them to get their products in front of interested buyers without needing to fully manage and optimize the details of their advertising campaign. Sellers simply specify the listings they would like to promote, and eBay automatically optimizes their ad campaign settings and handles the bidding and targeting process for them.

Note: Smart targeting campaigns are only available for onsite CPC campaigns and are limited to 3,000 listings per campaign

Smart targeting campaigns use key-based campaign criterion. Key-based campaigns use ID values to select the listings to include in a campaign. You can add listings to a campaign one at a time or in bulk using Listing ID values, which are created by the Trading API or Inventory API when you list an item. Use the createAdByListingId and/or bulkCreateAdsByListingId methods to add listings to a campaign using these values.

The following diagram illustrates the creation flow for smart targeting campaigns using the Cost Per Click (CPC) funding model:

When creating a smart targeting campaign, you will complete the following steps to create and configure the campaign: 

  1. Create the campaign

  2. Add listings to the campaign

Create the campaign

To create a smart targeting campaign, submit a call to the createCampaign method and configure the following required fields:

  • marketplaceId – The eBay marketplace for which the campaign will run.

  • campaignName – The seller-defined name given to the campaign.

  • campaignTargetingType - The targeting type for the campaign. For Smart targeting campaigns, this field must be set to SMART.

  • fundingStrategy – The funding strategies used for the campaign. The fundingStrategy defines the mechanism used to calculate the Promoted Listing fee (see the Promoted Listings overview for details).

    • bidPreferences - The bidding preferences of the campaign, such as the maximum cost-per-click amount.

      • maxCpc - The maximum amount for which the eBay suggested bid can be adjusted.

  • budget – The allocated daily budget amount for priority campaigns.

  • startDate – The day on which the campaign will begin.

Here is an example request payload that shows how to create a smart targeting campaign:

{
  "campaignName": "Fall Sale",
  "startDate": "2023-10-05T13:42:18.094Z",
  "endDate": "2023-10-07T13:42:18.094Z",
  "fundingStrategy": {
    "fundingModel": "COST_PER_CLICK",
    "bidPreferences": [{
      "maxCpc": {
        "amount": {
          "value": 0.5,
          "currency": "USD"
        }
      }
    }]
  },
  "campaignTargetingType": "SMART",
  "marketplaceId": "EBAY-US",
  "budget": {
    "daily": {
      "amount": {
        "value": 10,
        "currency": "USD"
      }
    }
  }
}

Maximum cost-per-click

In smart targeting campaigns, sellers have the option to set a maximum cost-per-click through the maxCpc field, which limits the bids eBay places on their behalf. The maxCpc is the maximum the seller would be willing to pay for each click on their ad; the cost-per-click will never exceed this amount. Before creating a smart targeting campaign, sellers can use the suggestMaxCpc method of the Marketing API to retrieve the suggested maxCpc value for the campaign based on the listings they plan to include.

This value can be updated for an existing smart targeting campaign using the updateBiddingStrategy method.

Add listings to the campaign

Smart targeting allows for sellers to add listings to their campaign using key-based listing selection. Key-based listing selection allows sellers to select individual listings and adjust them manually as needed.

After creating a campaign, you can create ads for the listings you want included in the campaign by calling either the createAdByListingId method (to add individual listing IDs) or the bulkCreateAdsByListingId method (to specify up to 500 listings per call).

Specify the campaign to which the listings should be added using the campaign_id path parameter.

Note: The adGroupId field is not required for smart targeting campaigns.

Tip: You can retreive the campaign IDs for a specified seller using the getCampaigns method.

Below is a sample request payload for adding listing IDs to a smart targeting campaign in bulk: 

POST https://api.ebay.com/sell/marketing/v1/ad_campaign/{campaign_Id}/bulk_create_ads_by_listing_id
{
  "requests": [
    {
      "listingId": "{listingId}"
    },
    {
      "listingId": "{listingId}"
    }
  ]	
}